<?php

/////////////////////////////////////////////////////////////////////////////
// General information
/////////////////////////////////////////////////////////////////////////////

$app['basename'] = 'clearlife';
$app['version'] = '1.0.9';
$app['release'] = '1';
$app['vendor'] = 'ClearUnited'; // e.g. Acme Co
$app['packager'] = 'Nick Howitt'; // e.g. Gordie Howe
$app['license'] = 'Proprietary'; // e.g. 'GPLv3';
$app['license_core'] = 'Proprietary'; // e.g. 'LGPLv3';
$app['description'] = lang('clearlife_app_description');

/////////////////////////////////////////////////////////////////////////////
// App name and categories
/////////////////////////////////////////////////////////////////////////////

$app['name'] = lang('clearlife_app_name');
$app['category'] = lang('base_category_server');
$app['subcategory'] = lang('base_subcategory_decentralized');

/////////////////////////////////////////////////////////////////////////////
// Packaging
/////////////////////////////////////////////////////////////////////////////

$app['requires'] = array(
    'app-base >= 1:2.10.1',
);

$app['core_requires'] = array(
    'app-network',
    'rh-python38',
    'libsodium',
);

$app['core_file_manifest'] = array(
    'clearlifed.php' => array('target' => '/var/clearos/base/daemon/clearlifed.php'),
    'clearlife.logrotate' => array('target' => '/etc/logrotate.d/clearlife'),
    'clearlife.rsyslog' => array('target' => '/etc/rsyslog.d/clearlife.conf'),
    'clearlifed.service' => array('target' => '/usr/lib/systemd/system/clearlifed.service'),
);

$app['core_directory_manifest'] = array(
    '/var/clearos/clearlife' => array(),
);
