#!/bin/bash

#
# unpacks the python source tarball and creates the virtual environment
#

PYTHON_ENV_HOME=/var/clearos/envs/
mkdir -p $PYTHON_ENV_HOME
cd $PYTHON_ENV_HOME

logger -p local6.notice -t installer "app-clearlife - creating python virtual environment"
/usr/bin/scl enable rh-python38 'python3 -m venv clearlife'

source clearlife/bin/activate

logger -p local6.notice -t installer "app-clearlife - install clearlifed and dependencies"
pip install /usr/clearos/apps/clearlife/deploy/clearlifed-f16618db073c3776554992f2348756165a6ab08b.tar.gz -q 2>/dev/null
