# ClearLIFE Server Edition

This app exposes a simple interface for connecting ClearLIFE on the server to a user's ClearLIFE Mobile app. Derived keys are sent to the server (end-to-end encrypted) so that any app on ClearOS Server can have access to derived keys. ClearLIFE Mobile and the ClearLIFE Server both derive the same keys for server apps so that end-to-end encrypted, signed requests can be made from the phone to the server without the need for SSL.

# Upgrading the underlying clearlifed package

To upgrade the underlying clearlifed package, go to https://gitlab.com/clearos/clearfoundation/clearlifed > History. Go in to browse the files at the most recent commit and download them as a tarball. Copy the tarball (which has the commit hash in the file name) into the deploy/ folder, removing the old file, and update the file name in deploy/make_venv.sh.
